'''
equality v{version}

Utilities to aid in testing for equality.

When comparing structures like this dict:

    assert actual == {{
        'id': 123,
        'field1': 1,
        ...
    }}

where 'id' is generated by the database and is different every test run.
Fix this using 'AnyInt':

    assert actual == {{
        'id': AnyInt(),
        'field1': 1,
        ...
    }}

Instances of AnyInt compare equal to any integer. So this assertion will
now pass if and only if the value of the 'id' field is an int.

There are other classes for use in other situations.
'''

__version__ = '0.0.2'

__doc__ = __doc__.format(version=__version__)

from .equality import *

